Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Functions
grouping_customers.h File Reference

translated with gcc version 12.2.1 More...

`#include <list>`
`#include <iostream>`
`#include "WarehousePickingOpt.h"`

Go to the source code of this file.

## Functions
list< Cart > | grouping_customers::algorithm_AVGDistances (SolverConfiguration &sc, CartConfiguration &cart_conf, multimap< int, Customer, greater< int > > &volume_customer_map, Warehouse &warehouse)
| this function is starting the whole algorithm, visible from outside More...
list< Cart > | grouping_customers::leastSquareMethod (SolverConfiguration &sc, CartConfiguration &cart_conf, multimap< int, Customer, greater< int > > &volume_customer_map)
| this method use a line interpolation through the points defining orders in warehouse of each customer, then the values a,b of line pattern y=ax+b are adjusted by multiplication by values given in parameters cor_a, cor_b More...
list< Cart > | grouping_customers::kMeansClustering (SolverConfiguration &sc, CartConfiguration &cart_conf, multimap< int, Customer, greater< int > > &volume_customer_map)

## Detailed Description

translated with gcc version 12.2.1

Author
  Jan Holáň, xholan11 (xhola.nosp@m.n11@.nosp@m.vutbr.nosp@m..cz)

Version
  0.1

Date
  2023-05-01

Copyright
  Copyright (c) 2023

## Function Documentation

## ◆ algorithm_AVGDistances()

list< Cart > grouping_customers::algorithm_AVGDistances | ( | SolverConfiguration & | sc,
|  | CartConfiguration & | cart_conf,
|  | multimap< int, Customer, greater< int > > & | volume_customer_map,
|  | Warehouse & | warehouse
| ) |  |

this function is starting the whole algorithm, visible from outside

Parameters

  volume_customer_map |
  warehouse |

Returns

## ◆ kMeansClustering()

list< Cart > grouping_customers::kMeansClustering | ( | SolverConfiguration & | sc,
|  | CartConfiguration & | cart_conf,
|  | multimap< int, Customer, greater< int > > & | volume_customer_map
| ) |  |

Parameters

  sc |
  cart_conf |
  volume_customer_map |

Returns

## ◆ leastSquareMethod()

list< Cart > grouping_customers::leastSquareMethod | ( | SolverConfiguration & | sc,
|  | CartConfiguration & | cart_conf,
|  | multimap< int, Customer, greater< int > > & | volume_customer_map
| ) |  |

this method use a line interpolation through the points defining orders in warehouse of each customer, then the values a,b of line pattern y=ax+b are adjusted by multiplication by values given in parameters cor_a, cor_b

Parameters

  sc | solver configuration
  cart_conf | cart configuration
  volume_customer_map | customer map sort in descending order by volume

Returns
  created list of carts